Page MenuHomePhabricator

CI and test coverage
Closed, ResolvedPublic

Description

The service should have 80%-100% test coverage. It should be possible to run tests locally and in the centralized CI, to the extent that there aren't actual hard blockers in the environment pertaining to network accessibility (which may imply fakes, mocks, stubs, anyway).

AC

  • Test coverage >= 80% prior to deployment

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
LGoto triaged this task as High priority.Apr 30 2020, 4:44 PM
LGoto moved this task from Needs triage to Upcoming on the Product-Infrastructure-Team-Backlog board.

CI is set up for mediawiki/services/push-notifications (and already in place for Echo, of course).

Mholloway updated the task description. (Show Details)May 5 2020, 8:22 PM
MSantos claimed this task.Jun 11 2020, 5:01 PM
MSantos moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.

Change 604830 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/push-notifications@master] WIP: Check code coverage

https://gerrit.wikimedia.org/r/604830

Change 606241 had a related patch set uploaded (by MSantos; owner: MSantos):
[integration/config@master] Add run-node.sh script to allow node projects...

https://gerrit.wikimedia.org/r/606241

Change 606241 merged by jenkins-bot:
[integration/config@master] dockerfiles: [java8-sonar-scanner] Add a generic run.sh script

https://gerrit.wikimedia.org/r/606241

Change 606472 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Provide node-codehealth-patch job

https://gerrit.wikimedia.org/r/606472

Change 606472 abandoned by Jforrester:
jjb: Provide node-codehealth-patch job

Reason:
Let's go with Icdf79e2c9 instead.

https://gerrit.wikimedia.org/r/606472

Mentioned in SAL (#wikimedia-releng) [2020-06-18T17:36:40Z] <James_F> Zuul: [mediawiki/services/push-notifications] Enable new node codehealth job T240989 T251441

Change 607303 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/push-notifications@master] lib: unit tests for HTTPError class

https://gerrit.wikimedia.org/r/607303

Change 607303 merged by jenkins-bot:
[mediawiki/services/push-notifications@master] lib: unit tests for HTTPError class

https://gerrit.wikimedia.org/r/607303

Change 613124 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/push-notifications@master] add more tests to the routing lib

https://gerrit.wikimedia.org/r/613124

Change 613125 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/push-notifications@master] test initQueue with proper options objects

https://gerrit.wikimedia.org/r/613125

Change 615230 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/push-notifications@master] add tests for the service default error handler

https://gerrit.wikimedia.org/r/615230

Change 615230 merged by jenkins-bot:
[mediawiki/services/push-notifications@master] add tests for the service default error handler

https://gerrit.wikimedia.org/r/615230

Change 613125 merged by jenkins-bot:
[mediawiki/services/push-notifications@master] test initQueue with proper options objects

https://gerrit.wikimedia.org/r/613125

Change 613124 merged by jenkins-bot:
[mediawiki/services/push-notifications@master] add more tests to the routing lib

https://gerrit.wikimedia.org/r/613124

Change 604830 merged by jenkins-bot:
[mediawiki/services/push-notifications@master] Enable code-health pipeline

https://gerrit.wikimedia.org/r/604830

Change 617731 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/push-notifications@master] Add sonar scan to the postmerge pipeline stage

https://gerrit.wikimedia.org/r/617731

Change 617731 merged by jenkins-bot:
[mediawiki/services/push-notifications@master] Add sonar scan to the postmerge pipeline stage

https://gerrit.wikimedia.org/r/617731

Mholloway closed this task as Resolved.Aug 12 2020, 10:24 PM